Subject: Re: OSPFv3 Extension Future Direction (this ought to get your attention)

From: Pyda Srisuresh <[email-masked]>
Date: Thu, 24 Mar 2005 19:58:18 -0800

Acee,

I had done some work previously on using new LSAs for advertising topology and
prefix info into TE networks (draft-srisuresh-ospf-te-07.txt). This draft can
be a good starting point to use for turning into future MT extensions to
OSPFv3. 

I have not been active on this work recently due to my work priorities.
However, if there are folks on the list interested in pursuing, I would  be
happy to work with you on the effort and discussion. 

Thanks.

cheers,
suresh 
 
--- Acee Lindem <[email-masked]> wrote:
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
> Content-Transfer-Encoding: 7bit
> 
> At the Minneapolis IETF, I presented a comparision of  the
> various options we have for extending OSPFv3. The reaction to the
> presentation was very positive. However, it was last on the agenda and
> the OSPF WG coincided with other WGs (most notably L2VPN).
> 
> At this point, I would like to initiate more discussion. The basic
> question is whether we go with a TLV based approach or continue
> to add new LSAs which need to be synchronized with the LSAs
> advertising topology and prefix information. A TLV based approach
> is described in:
> 
> http://www.ietf.org/internet-drafts/draft-mirtorabi-mt-ospfv3-01.txt
> 
> The crux of my presentation would be that this is gives us the powerful
> extension capability while still allowing us to advertise information that
> does not need to be synchronized in separate LSAs.
> 
> Thanks,
> Acee
>

---

From: Acee Lindem <[email-masked]>
Date: Thu, 24 Mar 2005 23:23:55 -0500

>be a good starting point to use for turning into future MT extensions to
Hi Pyda,
I don't see a requirement to mix TE data and the unicast/multicast 
topology information. This has traditionally
been separate and processed by different functional components. The new 
LSAs in our draft correspond
directly to the existing base LSA types (only they are in extendible TLV 
format and support multiple
topologies).

Thanks,
Acee